aboutsummaryrefslogtreecommitdiffstats
path: root/community/libraw/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/libraw/APKBUILD')
-rw-r--r--community/libraw/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/libraw/APKBUILD b/community/libraw/APKBUILD
new file mode 100644
index 0000000000..a7d14d5e85
--- /dev/null
+++ b/community/libraw/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libraw
+pkgver=0.18.7
+pkgrel=0
+pkgdesc="Library for reading RAW files obtained from digital photo cameras"
+url="https://www.libraw.org/"
+arch="all"
+license="CDDL LGPL custom"
+depends=""
+makedepends=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://www.libraw.org/data/LibRaw-$pkgver.tar.gz"
+builddir="$srcdir"/LibRaw-$pkgver
+
+# secfixes:
+# 0.18.6-r0:
+# - CVE-2017-16910
+# 0.18.5-r0:
+# - CVE-2017-13735
+# - CVE-2017-14265
+
+build() {
+ cd "$builddir"
+ #export CXXFLAGS="$CXXFLAGS -std=gnu++98"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ #make lib/libraw.a lib/libraw_r.a
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+}
+
+sha512sums="5d906e69427d4f9edff8b3bc24eb85896e037dd98578cf07c668b96f6abd82bc8dd9f937ecbca6472d334c4cf8d8cbc8b07c2c84aba748e22ec55cecc6a4ed78 LibRaw-0.18.7.tar.gz"